Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gentoo reperation!!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Scandinavian
View previous topic :: View next topic  
Author Message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 840
Location: halmstad

PostPosted: Wed Jan 06, 2010 8:59 pm    Post subject: gentoo reperation!! Reply with quote

hej alla.for ett ar sedan besamde jag mig skaffa mig en riktig data istallet for min sura laptop sa jag bestamde mig for att gora go gentoo burk
(lite val att ta i for en icke datasnubbe som jag men men).i handboken stod det ganska bestamt att vara och holla portage updaterad.svurit och gjort
tills jag kom till en pugnt dar det brast (fglrx).jag updaterade och sedan hade jag ingen fungerande x langre (sura lite och sedan ut och leta
efter den oandlig historian).hittade en trad pa amd64 forumet dar jag blev beskriven att maskera mycket av portage xorg vilket har lett
till att portage eller vad det ar medelar mig vid -nuDa world att mitt system ar skadat.finns det not coot gentoo set att likt en tidsmaskin vrida
tillbaka eller not

tack i forhand
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4836
Location: Gothenburg, Sweden

PostPosted: Thu Jan 07, 2010 5:35 pm    Post subject: Reply with quote

Det är lättare att hjälpa till om du postar output från diverse kommandon som emerge -Duav world och emerge --info, vad du har maskerat osv. Det finns tyvärr ingen bra tidsmaskin.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 840
Location: halmstad

PostPosted: Sun Jan 10, 2010 11:01 am    Post subject: Reply with quote

har kommer det du behover

mybox ~ # emerge --info
Portage 2.1.7.16 (default/linux/amd64/10.0, gcc-4.4.2, glibc-2.11-r1, 2.6.31-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r8-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5000+-with-gentoo-2.0.1
Timestamp of tree: Wed, 06 Jan 2010 11:15:02 +0000
ccache version 2.4 [enabled]
app-shells/bash: 4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python: 2.6.4, 3.1.1-r1
dev-util/ccache: 2.4-r8
dev-util/cmake: 2.8.0
sys-apps/baselayout: 2.0.1
sys-apps/openrc: 0.6.0
sys-apps/sandbox: 2.2
sys-devel/autoconf: 2.13, 2.65
sys-devel/automake: 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils: 2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.df.lth.se/pub/gentoo/ "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/desktop-effects"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="(multilib) X acl alsa amd64 berkdb bzip2 cairo cli compiz cracklib crypt cups cxx dbus dri embedded emerald firefox git glitz gnutls gpm gtk hal iconv ipod kde kde4 lcms mmx mng modules mudflap multilib mysql ncurses nls nptl nptlonly opengl openmp pam pcre perl png pppd python qt3 qt3support qt4 readline reflection session spl sql sse sse2 ssl svg symlink sysfs tcpd unicode usb webkit xcb xcomposite xinerama xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS




mybox ~ #nano -w /etc/portage/package.mask


>=x11-base/xorg-server-1.6.9
>=x11-libs/libX11-1.3.2
>=x11-libs/libXinerama-1.1
>=x11-proto/xextproto-7.1.1
>=x11-libs/libXext-1.1.1
>=x11-libs/libXi-1.3
>=x11-proto/xcmiscproto-1.2.0
>=x11-proto/xf86bigfontproto-1.2.0
>=x11-proto/bigreqsproto-1.1.0
>=x11-proto/xineramaproto-1.2
>=x11-proto/xextproto-7.1.1
>=x11-proto/fixesproto-4.1.1
>=x11-proto/inputproto-2.0
>=x11-libs/libXinerama-1.1
>=x11-proto/recordproto-1.14
>=x11-libs/libXtst-1.1.0
>=x11-proto/scrnsaverproto-1.2.0
>=x11-libs/libXScrnSaver-1.2.0
>=x11-proto/xf86vidmodeproto-2.3
>=x11-libs/libXxf86vm-1.1.0
>=x11-apps/xinput-1.5.0
-app-cdr/kiso
>=sys-kernel/gentoo-sources-2.6.32
>=x11-misc/cairo-dock-1.6.3.1
>=x11-misc/cairo-dock-plugins-1.6.3.1

mybox ~ # emerge --newuse --update --deep --ask world

* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-libs/timezone-data-2009u [2009t]
[ebuild U ] dev-libs/libffi-3.0.9 [3.0.8]
[ebuild U ] sys-devel/patch-2.6.1 [2.5.9-r1] USE="-test%"
[ebuild U ] net-misc/dhcpcd-5.1.4 [5.1.3-r1]
[ebuild U ] sys-apps/net-tools-1.60_p20100101055920 [1.60_p20090728014017-r1]
[ebuild U ] app-emulation/emul-linux-x86-baselibs-20091231 [20091226]
[ebuild U ] media-gfx/sane-backends-1.0.20-r3 [1.0.20-r2]
[ebuild U ] sys-libs/readline-6.1 [6.0_p4]
[ebuild R ] dev-db/sqlite-3.6.21 USE="fts3*"
[ebuild U ] sys-devel/gettext-0.17-r1 [0.17]
[ebuild R ] sys-apps/coreutils-8.2 USE="unicode%*"
[ebuild U ] sys-process/psmisc-22.10 [22.7]
[ebuild NS ] sys-kernel/gentoo-sources-2.6.31-r9 [2.6.31-r3, 2.6.31-r6, 2.6.31-r7, 2.6.31-r8] USE="symlink -build"
[ebuild U ] app-admin/eselect-1.2.9 [1.2.8]
[ebuild U ] app-admin/eselect-python-20091230 [20090824]
[ebuild U ] dev-python/numpy-1.4.0 [1.3.0-r2]
[ebuild U ] app-emulation/emul-linux-x86-xlibs-20091231 [20091226]
[ebuild U ] app-emulation/emul-linux-x86-gtklibs-20091231 [20091226]
[ebuild U ] app-portage/layman-1.2.5 [1.2.4]
[ebuild R ] app-crypt/pinentry-0.7.6 USE="(-qt3%*)"
[ebuild N ] kde-base/akonadi-4.3.4 USE="semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[ebuild U ] app-emulation/emul-linux-x86-soundlibs-20091231 [20091226]
[ebuild U ] app-emulation/emul-linux-x86-medialibs-20091231 [20091226]
[ebuild U ] app-emulation/emul-linux-x86-sdl-20091231 [20091226]

!!! The following update has been skipped due to unsatisfied dependencies:

x11-misc/cairo-dock-themes:0

!!! All ebuilds that could satisfy "~x11-misc/cairo-dock-1.6.3.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-misc/cairo-dock-1.6.3.1 (masked by: package.mask)

(dependency required by "x11-misc/cairo-dock-themes-1.6.3.1" [ebuild])

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



!!! The following update has been skipped due to unsatisfied dependencies:

media-libs/mesa:0

!!! All ebuilds that could satisfy ">=x11-proto/xextproto-7.0.99.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-proto/xextproto-7.1.1 (masked by: package.mask)

(dependency required by "media-libs/mesa-7.7-r1" [ebuild])

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
x11-misc/cairo-dock-themes

!!! The following installed packages are masked:
- kde-base/kdelibs-3.5.10-r6 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Samuli Suominen <ssuominen@gentoo.org> (31 Dec 2009)
# Doesn't compile anymore with Autoconf >= 2.64, wv2 >= 0.4.0,
# several open security bugs, ...
#
# Replaced by app-office/koffice-meta-2.1.0
#
# See bugs 274566, 274918, 279027, 279482, 283429, 285018, 294676,
# 287276, 292791, ...
#
# kamikaze, hearts, six, slibo, kvisualboyadvance, xpertmud,
# kfreeflight and boson will be removed with kdelibs-3.
#
# Masked for removal in 30 days
#

- x11-misc/cairo-dock-plugins-2.0.8.2 (masked by: package.mask)
- x11-misc/cairo-dock-2.0.8.2 (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Would you like to merge these packages? [Yes/No]

mybox ~ # revdep-rebuild
* Configuring search environment for revdep-rebuild

* Checking reverse dependencies
* Packages containing binaries and libraries broken by a package update
* will be emerged.

* Collecting system binaries and libraries
* Generated new 1_files.rr
* Collecting complete LD_LIBRARY_PATH
* Generated new 2_ldpath.rr
* Checking dynamic linking consistency
[ 100% ]

* Dynamic linking on your system is consistent... All done.
mybox ~ #


mybox ~ # emerge --depclean

* Depclean may break link level dependencies. Thus, it is
* recommended to use a tool such as `revdep-rebuild` (from
* app-portage/gentoolkit) in order to detect such breakage.
*
* Always study the list of packages to be cleaned for any obvious
* mistakes. Packages that are part of the world set will always
* be kept. They can be manually added to this set with
* `emerge --noreplace <atom>`. Packages that are listed in
* package.provided (see portage(5)) will be removed by
* depclean, even if they are part of the world set.
*
* As a safety measure, depclean will not remove any packages
* unless *all* required dependencies have been resolved. As a
* consequence, it is often necessary to run `emerge --update
* --newuse --deep world` prior to depclean.

Calculating dependencies... done!
* Dependencies could not be completely resolved due to
* the following required packages not being installed:
*
* ~x11-misc/cairo-dock-1.6.3.1 pulled in by:
* x11-misc/cairo-dock-themes-1.6.3.1
*
* Have you forgotten to run `emerge --update --newuse --deep world` prior
* to depclean? It may be necessary to manually uninstall packages that no longer
* exist in the portage tree since it may not be possible to satisfy their
* dependencies. Also, be aware of the --with-bdeps option that is documented
* in `man emerge`.

* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

mybox ~ #
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4836
Location: Gothenburg, Sweden

PostPosted: Mon Jan 11, 2010 6:02 pm    Post subject: Reply with quote

Du har vad det verkar fyra problem:
  • Du behöver maskera mer av xorg, närmare bestämt >=media-libs/mesa-7.7. Eventuellt beror det på att du har mesa in din world-fil /var/lib/portage/world. Ta bort den raden i så fall. Då skall du nog inte behöva maskera mesa.
  • Du har maskerat cairo-dock och cairo-dock-themes, men har paketen installerade eller något som beror på dem. Avinstallera dem och se om det hjälper.
  • Det är något problem med din world-fil. I alla fall klagar portage på den. Har du kört emaint --check world? Vad ger det för output?
  • Du har rester av kde-3 installerat. Om du inte använder det så är det bara att avinstallera. I annat fall får du rikta blickarna mot kde-sunset overlayet.

Vidare bör du ta bort ~x86 från ACCEPT_KEYWORDS. Det är inte farligt att ha det där men det är bättre att försöka se till att ett paket får amd64 keyword på riktigt än att fejka.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 840
Location: halmstad

PostPosted: Tue Jan 12, 2010 7:31 pm    Post subject: Reply with quote

jag har :
maskerat mesa
kollat world.filen (inget mesa)
jag har avinstallerat cairo-dock via --unmerge.tagit bort maskeringen.varfor jag hade maskerat ar for varje gong jag updaterade
vaxlade portage mellan 1.6.3.1 - 2.0.8.2
ransat kde

mybox ~ # emaint --check world
Checking world for problems
1% [> ]
100% [========================================================================>]
Finished

resultatet har blivit

mybox ~ # emerge --newuse --update --deep --ask world

* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-libs/gmp-4.3.2 [4.3.1]
[ebuild N ] app-misc/realpath-1.15 USE="nls"
[ebuild U ] media-sound/alsa-headers-1.0.22 [1.0.21]
[ebuild U ] sys-apps/sysvinit-2.87-r3 [2.87-r1]
[ebuild U ] dev-libs/mpfr-2.4.2_p2 [2.4.2_p1]
[ebuild U ] dev-db/sqlite-3.6.22 [3.6.21] USE="-extensions%"
[ebuild R ] sys-apps/module-init-tools-3.11.1 USE="-static%"
[ebuild U ] dev-perl/Net-SSLeay-1.35-r1 [1.35]
[ebuild U ] media-libs/alsa-lib-1.0.22 [1.0.21a]
[ebuild U ] media-sound/alsa-utils-1.0.22-r1 [1.0.21-r1]
[ebuild U ] sys-apps/util-linux-2.17 [2.16.2]
[ebuild U ] sys-apps/acl-2.2.49 [2.2.47-r1]
[ebuild R ] sys-devel/gcc-4.4.2 USE="(-ip28%) (-ip32r10k%)"
[ebuild U ] sys-apps/coreutils-8.3 [8.2]
[ebuild U ] sys-fs/lvm2-2.02.56-r3 [2.02.56-r2]
[ebuild U ] app-portage/gentoolkit-0.3.0_rc8-r1 [0.3.0_rc7]
[ebuild U ] app-emulation/wine-1.1.35 [1.1.32] USE="truetype%*"
[ebuild U ] net-libs/xulrunner-1.9.1.7 [1.9.1.6]
[ebuild U ] www-client/mozilla-firefox-3.5.7 [3.5.6]
[ebuild N ] x11-misc/cairo-dock-1.6.3.1 USE="glitz -debug"
[ebuild UD] x11-misc/cairo-dock-plugins-1.6.3.1 [2.0.8.2] USE="-debug%"
[ebuild U ] sys-apps/hal-0.5.14-r1 [0.5.14]
[ebuild U ] media-libs/libgphoto2-2.4.7-r2 [2.4.7-r1] USE="-examples%"
[ebuild U ] kde-base/solid-4.3.4-r3 [4.3.4-r2]
[ebuild R ] kde-base/kwin-4.3.4-r1 USE="xcomposite*"
[ebuild N ] kde-base/akonadi-4.3.4 USE="semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[ebuild R ] kde-base/kdeadmin-meta-4.3.4 USE="(-cups*)"
[ebuild R ] kde-base/kdeutils-meta-4.3.4 USE="(-cups*)"

!!! One or more updates have been skipped due to a dependency conflict:

x11-misc/cairo-dock:0

('ebuild', '/', 'x11-misc/cairo-dock-2.0.8.2', 'merge') conflicts with
~x11-misc/cairo-dock-1.6.3.1 required by ('installed', '/', 'x11-misc/cairo-dock-themes-1.6.3.1', 'nomerge')


!!! The following update has been skipped due to unsatisfied dependencies:

media-libs/mesa:0

!!! All ebuilds that could satisfy ">=x11-proto/xextproto-7.0.99.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-proto/xextproto-7.1.1 (masked by: package.mask)

(dependency required by "media-libs/mesa-7.6.1" [ebuild])

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

x11-misc/cairo-dock-plugins:0

!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
app-cdr/kiso

Would you like to merge these packages? [Yes/No] n

Quitting.


* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

mybox ~ #

tack for tipset "chefen"
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4836
Location: Gothenburg, Sweden

PostPosted: Tue Jan 12, 2010 7:55 pm    Post subject: Reply with quote

OK, du kan ändra mesa blocket till >=7.6. Några orsaker till upp och nedgraderingsväxlingar finns beskrivna i GF22: Circular upgrades and downgrades of a package. Se om de hjälper dig med cairo-dock*. Alternativt så kan du avinstallerara cairo-dock-plugins.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Scandinavian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum